{% extends "base.html" %}
{% block content %}
<div class="control">
  <form action="" method="post">
    {{ form.hidden_tag() }}
    <fieldset>
      <legend>Find</legend>
      {{ form.name_suffix.label() }}{{ form.name_suffix() }}
      <br>
      {{ form.surname_suffix.label() }}{{ form.surname_suffix() }}
      <br>
      {{ form.email.label() }}{{ form.email() }}
      <br>
      {{ form.min_salary.label() }}
      {% if form.min_salary.errors %}
          {{ form.min_salary() }}
          {% for error in form.min_salary.errors %}
              <br>
              <span>{{ error }}</span>
          {% endfor %}
      {% else %}
          {{ form.min_salary() }}
      {% endif %}
      <br>
      {{ form.max_salary.label() }}
      {% if form.max_salary.errors %}
          {{ form.max_salary() }}
          {% for error in form.max_salary.errors %}
              <br>
              <span>{{ error }}</span>
          {% endfor %}
      {% else %}
          {{ form.max_salary() }}
      {% endif %}
    </fieldset>
    <fieldset>
      <legend>Filter by</legend>
      {{ form.department.label() }}{{ form.department() }}
      <br>
      {{ form.position.label() }}{{ form.position() }}
      <br>
      {{ form.rank.label() }}{{ form.rank() }}
    </fieldset>
    <br>
    {{ form.submit() }}
  </form>
</div>
<br>
<table class="centered">
  <tr style="background-color:lightgrey">
    <th>Full name</th>
    <th>Email</th>
    <th>Position</th>
    <th>Rank</th>
    <th>Salary</th>
    <th>Department</th>
  </tr>
  {% for empl in employees %}
  <tr>
    <td>{{empl.name + ' ' + empl.surname}}</td>
    <td>{{empl.email}}</td>
    <td>{{empl.position.value}}</td>
    <td>{{empl.rank.value}}</td>
    <td>{{empl.salary}}</td>
    <td>{{empl.department.name}}</td>
  </tr>
  {% endfor %}
</table>
{% endblock content %}
